/*  Created: 15.11.2016
    Author: Dmitry Vasiliev
    Text editor: Sublime Text
    GitHub: swimmwatch  */

var gulp = require('gulp'),
    sass = require('gulp-sass'),
    autoprefixer = require('gulp-autoprefixer'),
    minCSS = require('gulp-clean-css'),
    babel = require('gulp-babel'),
    minJS = require('gulp-uglify');

gulp.task('css', function(){
  gulp.src('src/*.scss')
      .pipe(sass().on('error', sass.logError))
      .pipe(autoprefixer({
        browsers: ['> 10%', 'IE 8']
       }))
      .pipe(minCSS())
      .pipe(gulp.dest('dist'));
});

gulp.task('js', function(){
  gulp.src('src/*.js')
      .pipe(babel())
      .pipe(minJS())
      .pipe(gulp.dest('dist'));
});

gulp.task('default', ['js', 'css'])

gulp.watch('src/*', ['default']);